package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFFI3Response {

    @Parameter(name = "ACCOUNTNUMBER")
    String accountnumber();

    @Parameter(name = "APPLICATIONID")
    String applicationid();

    @Parameter(name = "APPLICATIONKEY")
    Long applicationkey();

    @Parameter(name = "APPLICATIONSETKEY")
    Long applicationsetkey();

    @Parameter(name = "AUTOSIGNATURE")
    Boolean autosignature();

    @Parameter(name = "BANKERSPROFILE")
    String bankersprofile();

    @Parameter(name = "BUSSTATE")
    String busstate();

    @Parameter(name = "CANCELLATIONTIME")
    java.util.Date cancellationtime();

    @Parameter(name = "CARDLOGO")
    String cardlogo();

    @Parameter(name = "CARDTYPE")
    Long cardtype();

    @Parameter(name = "CLIENTACTIONDATE")
    java.util.Date clientactiondate();

    @Parameter(name = "CLIENTID")
    String clientid();

    @Parameter(name = "CONTRACTNUMBER")
    String contractnumber();

    @Parameter(name = "CONTRACTSIGNED")
    Boolean contractsigned();

    @Parameter(name = "CONTRACTSIGNINGDATE")
    java.util.Date contractsigningdate();

    @Parameter(name = "CREDITACCOUNTNUMBER")
    String creditaccountnumber();

    @Parameter(name = "DOCUMENTID")
    String documentid();

    @Parameter(name = "FIRSTSIGNINGBANKER")
    String firstsigningbanker();

    @Parameter(name = "KOTIME")
    java.util.Date kotime();

    @Parameter(name = "PARENTWFID")
    String parentwfid();

    @Parameter(name = "PROCESSSTARTDATE")
    java.util.Date processstartdate();

    @Parameter(name = "PRODUCTTYPE")
    String producttype();

    @Parameter(name = "REQUESTTYPE")
    String requesttype();

    @Parameter(name = "SECONDSIGNINGBANKER")
    String secondsigningbanker();

    @Parameter(name = "SETFEE")
    Boolean setfee();

    @Parameter(name = "SIGNINGTIME")
    java.util.Date signingtime();

    @Parameter(name = "USERID")
    String userid();

    @Parameter(name = "VERIFYCONTRACT")
    Boolean verifycontract();

    @Parameter(name = "WAITINGFORCLIENTAPPROVAL")
    Boolean waitingforclientapproval();

}